Loading...
Searching...
No Matches
BALL::VIEW::MolecularControl Class Reference
Visualisation » Modular Widgets

`#include <BALL/VIEW/WIDGETS/molecularControl.h>`

Inheritance diagram for BALL::VIEW::MolecularControl:

## Public Slots

Public slots
void | createRepresentation ()
| Create a Representation with the DisplayProperties Dialog.
void | compositeProperties ()
| Composite properties dialog requested.
void | toggleDisulfidBond ()
| Create a disulfid bond.
void | bondProperties ()
| Bond properties dialog requested.
void | checkResidue ()
void | buildBonds ()
void | centerCamera ()
void | countItems ()
| Count the molecular items and print the info.
void | showFilename ()
| Show the filename from which the composite was loaded.
virtual void | updateSelection ()
void | highlightSelection ()
void | highlight (const std::list< Composite * > &composite)
void | cut ()
void | copy ()
void | paste ()
void | clearClipboard ()
void | select ()
void | deselect ()
void | moveItems ()
| Move a composite.
void | collapseAll ()
| Collapse all QListViewItem.
void | expandAll ()
| Expand all QListViewItem.
Size | applySelector ()
BALL_DEPRECATED void | showSelectorHelp ()
virtual void | deleteCurrentItems ()
| Overloaded from GenericControl, calls cut.
virtual void | clearSelector ()
| Connected to the clear selection button.
void | switchShowSecondaryStructure ()
void | showAtomOverview ()
void | showAtomOverviewForSelection ()
void | showDistance ()
void | showAngle ()
virtual void | deleteCurrentItems ()
| Called by if del is pressed.
Public Slots inherited from BALL::VIEW::DockWidget
virtual void | dropEvent (QDropEvent *e)
virtual void | dragEnterEvent (QDragEnterEvent *e)
virtual void | showGuestContextMenu (const QPoint &)

## Public Member Functions

Constructors and Destructor
| MolecularControl (QWidget *parent=0, const char *name=0)
virtual | ~MolecularControl ()
Accessors: inspectors and mutators
virtual void | checkMenu (VIEW::MainControl &main_control)
void | addComposite (Composite &composite, String given_name="")
Size | removeComposite (Composite &composite)
const std::list< Composite * > & | getSelection () const
Composite * | getContextComposite ()
virtual void | onNotify (Message *message)
virtual void | updateContextMenu (Composite &composite)
virtual void | initializeWidget (MainControl &main_control)
Size | applySelector (const String &expression)
void | writePreferences (INIFile &inifile)
void | fetchPreferences (INIFile &inifile)
void | showDistance (Atom *a1, Atom *a2)
void | showAngle (Atom *a1, Atom *a2, Atom *a3, Atom *a4=0)
QMenu & | getContextMenu ()
| GenericControl (QWidget *parent=0, const char *name=0)
virtual | ~GenericControl ()
ItemList | getSelectedItems ()
QTreeWidgetItem * | addRow (const QStringList &entries)
Public Member Functions inherited from BALL::VIEW::DockWidget
| DockWidget (QWidget *parent, const char *title=0)
| Use this constructor!
virtual | ~DockWidget ()
void | setGuest (QWidget &guest)
virtual void | setWidgetVisible (bool state)
| For usage with Python:
QGridLayout * | getGuestLayout ()
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual bool | isValid () const

## Protected Attributes

Menu entries ids
QAction * | cut_id_
QAction * | copy_id_
QAction * | paste_id_
QAction * | delete_id_
QAction * | clipboard_id_
QAction * | select_id_
QAction * | deselect_id_
QAction * | show_ss_id_
std::list< Composite * > | selected_
std::list< Composite * > | copy_list_
MolecularInformation | information_
QComboBox * | selector_edit_
QComboBox * | smarts_edit_
QMenu | context_menu_
QMenu | model_menu_
QMenu | edit_menu_
QMenu | color_menu_ [MODEL_LABEL - MODEL_LINES]
QMenu * | rotamer_menu_
Composite * | context_composite_
QTreeWidgetItem * | context_item_
ModelType | selected_model_
ColoringMethod | selected_coloring_method_
std::map< Composite *, MyTreeWidgetItem * > | composite_to_item_
bool | was_delete_
Size | nr_items_removed_
bool | show_ss_
QAction * | center_camera_action_
QAction * | composite_properties_action_
QAction * | bond_propertes_action_
QAction * | disulfidbond_action_
QAction * | select_action_
QAction * | deselect_action_
QAction * | count_items_action_
QAction * | atom_overview_
QAction * | atom_overview_selection_
QAction * | angle_action_
QAction * | distance_action_
QAction * | paste_action_
bool | ignore_messages_
QSignalMapper * | rotamer_mapper_
Residue * | current_residue_
RotamerLibrary * | rotamer_library_
ReadWriteLock | rotamer_library_mutex_
QThread * | rl_thread_
QTreeWidgetItem * | context_item_
TreeWidget * | listview
bool | checkable_
Protected Attributes inherited from BALL::VIEW::DockWidget
QWidget * | container_
QWidget * | guest_
QGridLayout * | layout_
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Friends

class | BondProperties

## Protected members

void | showGuestContextMenu (const QPoint &pos)
void | activatedItem_ (QAction *action)
void | createRepresentation_ ()
void | onItemClicked (QTreeWidgetItem *item, int)
void | changeRotamer_ (int i)
void | buildContextMenu_ ()
void | buildRotamerMenu_ ()
void | setSelection_ (bool open, bool force=false)
virtual MolecularInformation & | getInformationVisitor_ ()
virtual void | recurseGeneration_ (QTreeWidgetItem *item, Composite &composite)
virtual bool | reactToMessages_ (Message *message)
QTreeWidgetItem * | generateListViewItem_ (QTreeWidgetItem *parent, Composite &composite, QString *default_name=0)
bool | pasteAllowedFor_ (Composite &composite)
void | removeRecursive_ (QTreeWidgetItem *item)
| MolecularControl (const MolecularControl &mc)
std::list< QTreeWidgetItem * > | getAllItems_ ()
void | enableUpdates_ (bool state)
void | newSelection_ (std::list< Composite * > &sel, bool selected)
bool | allowPaste_ ()

## Additional Inherited Members

Public Types inherited from BALL::VIEW::GenericControl
typedef QList< QTreeWidgetItem * > | ItemList
| typedef
Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerWidget (ModularWidget *mwidget)
virtual void | deselectOtherControls_ ()
virtual void | updateSelection ()
virtual void | onItemClicked (QTreeWidgetItem *, int)
virtual void | removeItem_ (QTreeWidgetItem *item)
Protected Member Functions inherited from BALL::VIEW::DockWidget
| DockWidget ()
| DockWidget (const DockWidget &)
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)

## Detailed Description

MolecularControl is a widget to display the molecular structure of Composite objects. This class is derived from the class GenericControl and extends it for showing and modifiying molecular structures. The methods checkMenu() and buildContextMenu() are overridden for performing special molecular tasks. MolecularControl has also a QLineEdit to select Composites by BALL expressions. For further informations on this topic have a look at the class Selector.

Definition at line 49 of file molecularControl.h.

## Constructor & Destructor Documentation

## MolecularControl() [1/2]

BALL::VIEW::MolecularControl::MolecularControl | ( | QWidget * | parent = 0,
|  | const char * | name = 0 )

Default Constructor.

Parameters

  parent | the parent widget
  name | the name of this widget

## ~MolecularControl()

virtual BALL::VIEW::MolecularControl::~MolecularControl | ( |  | ) |

virtual

Destructor.

## MolecularControl() [2/2]

BALL::VIEW::MolecularControl::MolecularControl | ( | const MolecularControl & | mc | ) |

protected

## Member Function Documentation

## activatedItem_

void BALL::VIEW::MolecularControl::activatedItem_ | ( | QAction * | action | ) |

protected slot

## addComposite()

void BALL::VIEW::MolecularControl::addComposite | ( | Composite & | composite,
|  | String | given_name = "" )

Insert a Composite object into this Control. If name == "" than the Information visitor is used for determining a name for the Composite.

  Calls generateListViewItem_() for the Composite.

Parameters

  composite | a pointer to the Composite to be inserted into the Control

## allowPaste_()

bool BALL::VIEW::MolecularControl::allowPaste_ | ( |  | ) |

protected

## applySelector [1/2]

Size BALL::VIEW::MolecularControl::applySelector | ( |  | ) |

slot

Apply the BALL expression from the QLineEdit

Returns
  Size number of selected atoms

## applySelector() [2/2]

Size BALL::VIEW::MolecularControl::applySelector | ( | const String & | expression | ) |

Apply a given BALL expression

Returns
  Size number of selected atoms

## bondProperties

void BALL::VIEW::MolecularControl::bondProperties | ( |  | ) |

slot

Bond properties dialog requested.

## buildBonds

void BALL::VIEW::MolecularControl::buildBonds | ( |  | ) |

slot

Build bonds

## buildContextMenu_()

void BALL::VIEW::MolecularControl::buildContextMenu_ | ( |  | ) |

protected

## buildRotamerMenu_()

void BALL::VIEW::MolecularControl::buildRotamerMenu_ | ( |  | ) |

protected

## centerCamera

void BALL::VIEW::MolecularControl::centerCamera | ( |  | ) |

slot

Center the camera on a composite.

## changeRotamer_

void BALL::VIEW::MolecularControl::changeRotamer_ | ( | int | i | ) |

protected slot

## checkMenu()

virtual void BALL::VIEW::MolecularControl::checkMenu | ( | VIEW::MainControl & | main_control | ) |

virtual

Menu checking method. This method is called by MainControl::checkMenus before a popup menu is shown. The copy menu entry is only enabled for selected System objects.

Parameters

  main_control | the MainControl object whose menus should be checked

See also
  Control::checkMenu

Reimplemented from BALL::VIEW::ModularWidget.

## checkResidue

void BALL::VIEW::MolecularControl::checkResidue | ( |  | ) |

slot

Check residues

## clearClipboard

void BALL::VIEW::MolecularControl::clearClipboard | ( |  | ) |

slot

Clear the copied Composite objects from the internal copy list.

## clearSelector

virtual void BALL::VIEW::MolecularControl::clearSelector | ( |  | ) |

virtual slot

Connected to the clear selection button.

## collapseAll

void BALL::VIEW::MolecularControl::collapseAll | ( |  | ) |

slot

Collapse all QListViewItem.

## compositeProperties

void BALL::VIEW::MolecularControl::compositeProperties | ( |  | ) |

slot

Composite properties dialog requested.

## copy

void BALL::VIEW::MolecularControl::copy | ( |  | ) |

slot

Copy the selected Composite objects into an internal copy list. If there are already Composite objects in the copy list they will be deleted.

## countItems

void BALL::VIEW::MolecularControl::countItems | ( |  | ) |

slot

Count the molecular items and print the info.

## createRepresentation

void BALL::VIEW::MolecularControl::createRepresentation | ( |  | ) |

slot

Create a Representation with the DisplayProperties Dialog.

## createRepresentation_

void BALL::VIEW::MolecularControl::createRepresentation_ | ( |  | ) |

protected slot

## cut

void BALL::VIEW::MolecularControl::cut | ( |  | ) |

slot

Cut the selected Composite objects and copy them into an internal copy list. If there are already Composite objects in the copy list they will be deleted. All Composite objects that are cutted are removed from the Control. Cuted systems are moved to the copy list. A RemovedCompositeMessage will be sent for each cutted object. After all selected objects are removed a SceneMessage will be sent to update the Scene.

## deleteCurrentItems

virtual void BALL::VIEW::MolecularControl::deleteCurrentItems | ( |  | ) |

virtual slot

Overloaded from GenericControl, calls cut.

## deselect

void BALL::VIEW::MolecularControl::deselect | ( |  | ) |

slot

Deselect

## enableUpdates_()

void BALL::VIEW::MolecularControl::enableUpdates_ | ( | bool | state | ) |

protected

## expandAll

void BALL::VIEW::MolecularControl::expandAll | ( |  | ) |

slot

Expand all QListViewItem.

## fetchPreferences()

void BALL::VIEW::MolecularControl::fetchPreferences | ( | INIFile & | inifile | ) |

virtual

Load settings from an INIFile

See also
  ModularWidget::fetchPreferences

Reimplemented from BALL::VIEW::DockWidget.

## generateListViewItem_()

QTreeWidgetItem * BALL::VIEW::MolecularControl::generateListViewItem_ | ( | QTreeWidgetItem * | parent,
|  | Composite & | composite,
|  | QString * | default_name = 0 )

protected

Generate a new QTreeWidgetItem for the given Composite. If default_name == 0 than a new name is created using the Information visitor accessed with the method getInformationVisitor_(). If parent == 0 than the new QTreeWidgetItem is a root item. Otherwise a new QTreeWidgetItem for is created that will be inserted into given parent. All children of composite will be inserted recursivly into the newly created item by the method recurseGeneration_().

Parameters

  parent | a QTreeWidgetItem into which a subtree of items will be inserted, or 0 if a new root item should be created
  composite | the Composite object whose subtree will be inserted into parent
  default_name | the name of the item

## getAllItems_()

std::list< QTreeWidgetItem * > BALL::VIEW::MolecularControl::getAllItems_ | ( |  | ) |

protected

## getContextComposite()

Composite * BALL::VIEW::MolecularControl::getContextComposite | ( |  | ) |

Inspection of the entry for which a context menu was requested.

## getContextMenu()

QMenu & BALL::VIEW::MolecularControl::getContextMenu | ( |  | ) |

Allow access to the context menu

## getInformationVisitor_()

virtual MolecularInformation & BALL::VIEW::MolecularControl::getInformationVisitor_ | ( |  | ) |

protected virtual

Access the MolecularInformation visitor. With the MolecularInformation, the names and type entries for the Items are generated. Override this method if another information visitor is needed. This method is used in the method generateListViewItem_() to retrieve certain information of the given Composite.

## getSelection()

const std::list< Composite * > & BALL::VIEW::MolecularControl::getSelection | ( |  | ) | const

Non-mutable inspection of the selection.

## highlight

void BALL::VIEW::MolecularControl::highlight | ( | const std::list< Composite * > & | composite | ) |

slot

## highlightSelection

void BALL::VIEW::MolecularControl::highlightSelection | ( |  | ) |

slot

## initializeWidget()

virtual void BALL::VIEW::MolecularControl::initializeWidget | ( | MainControl & | main_control | ) |

virtual

Initialize the menu entries:

- cut
- copy
- paste
- delete
- clear clipboard
    This method is called automatically immediately before the main application is started by MainControl::show.
  Parameters

    main_control | the MainControl object to be initialized with this ModularWidget

Reimplemented from BALL::VIEW::GenericControl.

## moveItems

void BALL::VIEW::MolecularControl::moveItems | ( |  | ) |

slot

Move a composite.

## newSelection_()

void BALL::VIEW::MolecularControl::newSelection_ | ( | std::list< Composite * > & | sel,
|  | bool | selected )

protected

## onItemClicked

void BALL::VIEW::MolecularControl::onItemClicked | ( | QTreeWidgetItem * | item,
|  | int | )

protected slot

## onNotify()

virtual void BALL::VIEW::MolecularControl::onNotify | ( | Message * | message | ) |

virtual

Message handling. Overridden method from ConnectionObject to handle incoming messages.

  Calls reactToMessages_().

Parameters

  message | a pointer to a Message object

Reimplemented from BALL::VIEW::GenericControl.

## paste

void BALL::VIEW::MolecularControl::paste | ( |  | ) |

slot

Paste the copied Composite objects from the internal copy list into the Control. For each Composite in the copy list a NewCompositeMessage will be sent.

## pasteAllowedFor_()

bool BALL::VIEW::MolecularControl::pasteAllowedFor_ | ( | Composite & | composite | ) |

protected

## reactToMessages_()

virtual bool BALL::VIEW::MolecularControl::reactToMessages_ | ( | Message * | message | ) |

protected virtual

Message handling. Catch the Message objects and react accordingly to the different messages. Override this method if new messages should be catched.

  Note: If this method is overriden, call this method at the end of the new implementation to make sure the old messages are still catched properly.

  Messages to be catched and the resulting reaction:
  - NewCompositeMessage - update always necessary
  - RemovedCompositeMessage - update necessary if already inserted
  - ChangedCompositeMessage - update necessary if Composite object has changed

Parameters

  message | a pointer to the Message object

Returns
  bool true if an update of the Control is necessary, false otherwise

See also
  onNotify

## recurseGeneration_()

virtual void BALL::VIEW::MolecularControl::recurseGeneration_ | ( | QTreeWidgetItem * | item,
|  | Composite & | composite )

protected virtual

Iterate over the children of the Composite and call for each the method generateListViewItem_().

Parameters

  item | a pointer to a QTreeWidgetItem to which all children of the Composite will be inserted
  composite | whose children will be inserted into item

## removeComposite()

Size BALL::VIEW::MolecularControl::removeComposite | ( | Composite & | composite | ) |

Recursive removal of a Composite from the Control.

## removeRecursive_()

void BALL::VIEW::MolecularControl::removeRecursive_ | ( | QTreeWidgetItem * | item | ) |

inline protected

## select

void BALL::VIEW::MolecularControl::select | ( |  | ) |

slot

Select

## setSelection_()

void BALL::VIEW::MolecularControl::setSelection_ | ( | bool | open,
|  | bool | force = false )

protected

Set the selection of the checkboxes and the opening of the tree according to the selection in the MainControl.

Parameters

  open | true means, that the item tree is opend and closed according to the changes
  force | true means, that the item tree is opend and closed also if more than 50 items are selected.

## showAngle [1/2]

void BALL::VIEW::MolecularControl::showAngle | ( |  | ) |

slot

## showAngle() [2/2]

void BALL::VIEW::MolecularControl::showAngle | ( | Atom * | a1,
|  | Atom * | a2,
|  | Atom * | a3,
|  | Atom * | a4 = 0 )

## showAtomOverview

void BALL::VIEW::MolecularControl::showAtomOverview | ( |  | ) |

slot

## showAtomOverviewForSelection

void BALL::VIEW::MolecularControl::showAtomOverviewForSelection | ( |  | ) |

slot

## showDistance [1/2]

void BALL::VIEW::MolecularControl::showDistance | ( |  | ) |

slot

## showDistance() [2/2]

void BALL::VIEW::MolecularControl::showDistance | ( | Atom * | a1,
|  | Atom * | a2 )

## showFilename

void BALL::VIEW::MolecularControl::showFilename | ( |  | ) |

slot

Show the filename from which the composite was loaded.

## showGuestContextMenu

void BALL::VIEW::MolecularControl::showGuestContextMenu | ( | const QPoint & | pos | ) |

protected slot

## showSelectorHelp

BALL_DEPRECATED void BALL::VIEW::MolecularControl::showSelectorHelp | ( |  | ) |

slot

Show a help dialog for the Selector

Deprecated
  Help system has been removed. This function will also be removed in the next release.

## switchShowSecondaryStructure

void BALL::VIEW::MolecularControl::switchShowSecondaryStructure | ( |  | ) |

slot

## toggleDisulfidBond

void BALL::VIEW::MolecularControl::toggleDisulfidBond | ( |  | ) |

slot

Create a disulfid bond.

## updateContextMenu()

virtual void BALL::VIEW::MolecularControl::updateContextMenu | ( | Composite & | composite | ) |

virtual

Build a context menu for a Composite. If the Composite has certain properties a context menu is created. This method only creates the necessary interface for derived classes. Override this method for creating other context menu entries, but call Control::buildContextMenu at the end of your method to create the standard entries. Calls insertContextMenuEntry() for each context menu entry that will be created.

Parameters

  composite | the Composite object for that a context menu should be created

See also
  onContextMenu

## updateSelection

virtual void BALL::VIEW::MolecularControl::updateSelection | ( |  | ) |

virtual slot

Prints the filename from which a Systems was loaded, after its selection.

  Calls showFilename()

## writePreferences()

void BALL::VIEW::MolecularControl::writePreferences | ( | INIFile & | inifile | ) |

virtual

Write settings to an INIFile

See also
  ModularWidget::writePreferences

Reimplemented from BALL::VIEW::DockWidget.

## Friends And Related Symbol Documentation

## BondProperties

friend class BondProperties

friend

Definition at line 101 of file molecularControl.h.

## Member Data Documentation

## angle_action_

QAction * BALL::VIEW::MolecularControl::angle_action_

protected

Definition at line 477 of file molecularControl.h.

## atom_overview_

QAction * BALL::VIEW::MolecularControl::atom_overview_

protected

Definition at line 476 of file molecularControl.h.

## atom_overview_selection_

QAction * BALL::VIEW::MolecularControl::atom_overview_selection_

protected

Definition at line 476 of file molecularControl.h.

## bond_propertes_action_

QAction * BALL::VIEW::MolecularControl::bond_propertes_action_

protected

Definition at line 475 of file molecularControl.h.

## center_camera_action_

QAction* BALL::VIEW::MolecularControl::center_camera_action_

protected

Definition at line 475 of file molecularControl.h.

## clipboard_id_

QAction * BALL::VIEW::MolecularControl::clipboard_id_

protected

Definition at line 440 of file molecularControl.h.

## color_menu_

QMenu BALL::VIEW::MolecularControl::color_menu_[MODEL_LABEL - MODEL_LINES]

protected

Definition at line 457 of file molecularControl.h.

## composite_properties_action_

QAction * BALL::VIEW::MolecularControl::composite_properties_action_

protected

Definition at line 475 of file molecularControl.h.

## composite_to_item_

std::map<Composite*, MyTreeWidgetItem*> BALL::VIEW::MolecularControl::composite_to_item_

protected

Definition at line 467 of file molecularControl.h.

## context_composite_

Composite* BALL::VIEW::MolecularControl::context_composite_

protected

Definition at line 461 of file molecularControl.h.

## context_item_

QTreeWidgetItem* BALL::VIEW::MolecularControl::context_item_

protected

Definition at line 463 of file molecularControl.h.

## context_menu_

QMenu BALL::VIEW::MolecularControl::context_menu_

protected

Definition at line 454 of file molecularControl.h.

## copy_id_

QAction * BALL::VIEW::MolecularControl::copy_id_

protected

Definition at line 440 of file molecularControl.h.

## copy_list_

std::list<Composite*> BALL::VIEW::MolecularControl::copy_list_

protected

Definition at line 446 of file molecularControl.h.

## count_items_action_

QAction * BALL::VIEW::MolecularControl::count_items_action_

protected

Definition at line 476 of file molecularControl.h.

## current_residue_

Residue* BALL::VIEW::MolecularControl::current_residue_

protected

Definition at line 482 of file molecularControl.h.

## cut_id_

QAction* BALL::VIEW::MolecularControl::cut_id_

protected

Definition at line 440 of file molecularControl.h.

## delete_id_

QAction * BALL::VIEW::MolecularControl::delete_id_

protected

Definition at line 440 of file molecularControl.h.

## deselect_action_

QAction * BALL::VIEW::MolecularControl::deselect_action_

protected

Definition at line 476 of file molecularControl.h.

## deselect_id_

QAction * BALL::VIEW::MolecularControl::deselect_id_

protected

Definition at line 440 of file molecularControl.h.

## distance_action_

QAction * BALL::VIEW::MolecularControl::distance_action_

protected

Definition at line 477 of file molecularControl.h.

## disulfidbond_action_

QAction * BALL::VIEW::MolecularControl::disulfidbond_action_

protected

Definition at line 475 of file molecularControl.h.

## edit_menu_

QMenu BALL::VIEW::MolecularControl::edit_menu_

protected

Definition at line 456 of file molecularControl.h.

## ignore_messages_

bool BALL::VIEW::MolecularControl::ignore_messages_

protected

Definition at line 479 of file molecularControl.h.

## information_

MolecularInformation BALL::VIEW::MolecularControl::information_

protected

Definition at line 448 of file molecularControl.h.

## model_menu_

QMenu BALL::VIEW::MolecularControl::model_menu_

protected

Definition at line 455 of file molecularControl.h.

## nr_items_removed_

Size BALL::VIEW::MolecularControl::nr_items_removed_

protected

Definition at line 472 of file molecularControl.h.

## paste_action_

QAction * BALL::VIEW::MolecularControl::paste_action_

protected

Definition at line 477 of file molecularControl.h.

## paste_id_

QAction * BALL::VIEW::MolecularControl::paste_id_

protected

Definition at line 440 of file molecularControl.h.

## rl_thread_

QThread* BALL::VIEW::MolecularControl::rl_thread_

protected

Definition at line 485 of file molecularControl.h.

## rotamer_library_

RotamerLibrary* BALL::VIEW::MolecularControl::rotamer_library_

protected

Definition at line 483 of file molecularControl.h.

## rotamer_library_mutex_

ReadWriteLock BALL::VIEW::MolecularControl::rotamer_library_mutex_

protected

Definition at line 484 of file molecularControl.h.

## rotamer_mapper_

QSignalMapper* BALL::VIEW::MolecularControl::rotamer_mapper_

protected

Definition at line 481 of file molecularControl.h.

## rotamer_menu_

QMenu* BALL::VIEW::MolecularControl::rotamer_menu_

protected

Definition at line 459 of file molecularControl.h.

## select_action_

QAction * BALL::VIEW::MolecularControl::select_action_

protected

Definition at line 476 of file molecularControl.h.

## select_id_

QAction * BALL::VIEW::MolecularControl::select_id_

protected

Definition at line 440 of file molecularControl.h.

## selected_

std::list<Composite*> BALL::VIEW::MolecularControl::selected_

protected

Definition at line 445 of file molecularControl.h.

## selected_coloring_method_

ColoringMethod BALL::VIEW::MolecularControl::selected_coloring_method_

protected

Definition at line 466 of file molecularControl.h.

## selected_model_

ModelType BALL::VIEW::MolecularControl::selected_model_

protected

Definition at line 465 of file molecularControl.h.

## selector_edit_

QComboBox* BALL::VIEW::MolecularControl::selector_edit_

protected

Definition at line 450 of file molecularControl.h.

## show_ss_

bool BALL::VIEW::MolecularControl::show_ss_

protected

Definition at line 474 of file molecularControl.h.

## show_ss_id_

QAction * BALL::VIEW::MolecularControl::show_ss_id_

protected

Definition at line 441 of file molecularControl.h.

## smarts_edit_

QComboBox* BALL::VIEW::MolecularControl::smarts_edit_

protected

Definition at line 451 of file molecularControl.h.

## was_delete_

bool BALL::VIEW::MolecularControl::was_delete_

protected

Definition at line 470 of file molecularControl.h.